# Function circleChainId

- circleChainId<K1>(args_0): (K1 extends bigint
  ? `bigint(${K1})`
  : K1 extends boolean
  ? `boolean(${K1})`
  : K1) extends "Solana" | "Ethereum" | "Avalanche" | "Arbitrum" | "Optimism" | "Base"
  ? {
  Arbitrum: 3;
  Avalanche: 1;
  Base: 6;
  Ethereum: 0;
  Optimism: 2;
  Solana: 5;
  }[Object] extends {
  [key: string]: unknown;
  }
  ? {
  Arbitrum: 3;
  Avalanche: 1;
  Base: 6;
  Ethereum: 0;
  Optimism: 2;
  Solana: 5;
  }[Object]
  : {
  Arbitrum: 3;
  Avalanche: 1;
  Base: 6;
  Ethereum: 0;
  Optimism: 2;
  Solana: 5;
  }[Object]
  : never

- #### Type Parameters

  - #### K1 extends "Solana" | "Ethereum" | "Avalanche" | "Arbitrum" | "Optimism" | "Base"

  #### Parameters

  - ##### args_0: K1

  #### Returns (K1 extends bigint
  ? `bigint(${K1})`
  : K1 extends boolean
  ? `boolean(${K1})`
  : K1) extends "Solana" | "Ethereum" | "Avalanche" | "Arbitrum" | "Optimism" | "Base"
  ? {
  Arbitrum: 3;
  Avalanche: 1;
  Base: 6;
  Ethereum: 0;
  Optimism: 2;
  Solana: 5;
  }[Object] extends {
  [key: string]: unknown;
  }
  ? {
  Arbitrum: 3;
  Avalanche: 1;
  Base: 6;
  Ethereum: 0;
  Optimism: 2;
  Solana: 5;
  }[Object]
  : {
  Arbitrum: 3;
  Avalanche: 1;
  Base: 6;
  Ethereum: 0;
  Optimism: 2;
  Solana: 5;
  }[Object]
  : never

  - Defined in core/base/dist/esm/constants/circle.d.ts:7

Generated using TypeDoc